# not_

### Synopsis

    template<
          typename F
        >
    struct not_
    {
        typedef unspecified type;
    };

### Description

Returns the result of logical not (`!`) operation on its argument.

### Definition

    #include "boost/mpl/not.hpp"

### Parameters

Parameter | Requirement | Description
--- | --- | ---
`F` | A model of nullary Metafunction |

### Expression semantics

Expression | Expression type | Precondition | Semantics | Postcondition
--- | --- | --- | --- | ---
`not_<f>` | A model of `bool` Integral Constant |  | Equivalent to `bool_<(!f::type::value)>` |

### Example

    BOOST_STATIC_ASSERT(not_<true_>::value == false);
    BOOST_STATIC_ASSERT(not_<false_>::value == true);

### See also

Metafunctions, `and_`, `or_`

Table of Contents
Last edited September 6, 2003 3:09 am